{html_head}
<script src="http://maps.google.com/maps/api/js?sensor=false&amp;hl={$lang_info.code}" type="text/javascript"></script>
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.min.js" type="text/javascript"></script>
<script src="{$PLUGIN_ROOT_URL}/template/nyroModal/jquery.nyroModal-1.6.2.js" type="text/javascript"></script>
<link href="{$PLUGIN_ROOT_URL}/template/nyroModal/nyroModal.css" rel="stylesheet" type="text/css">

<style type="text/css">{literal}
#mapPicture {
	position:absolute;
	width: 310px;
}

#map {
	position:relative;
	left: 320px;
	margin-right: 320px;
	height: 512px;
	min-height: 512px;
}

#thumbPrev, #thumbNext {display:none;}
{/literal}</style>
{/html_head}

<div id="mapPicture">
<a href="{$U_NO_MAP}" title="{'return to normal view mode'|@translate}" rel="nofollow"><img src="{$TN_SRC}" alt="thumb"/></a>
<br/>
<a href="{$U_BLOWUP}" onclick="return blowupUrl(this.href);">{'More pictures near this location'|@translate}</a>
<br/>
{$COMMENT_IMG}
<br/>
</div>

<div id="map"></div>

<div style="clear:both"></div>
<script type="text/javascript">{literal}
//<![CDATA[
function onLoad()
{
	var mapElement = document.getElementById("map");
	var mapOpts = {
{/literal}{if isset($coordinates)}
		center: new google.maps.LatLng( {$coordinates.LAT}, {$coordinates.LON} ),
		zoom : 12,
{else}
		center: new google.maps.LatLng(0,0),
		zoom : 1,
{/if}{literal}
		mapTypeId: google.maps.MapTypeId.ROADMAP
	};
	
	var map = new google.maps.Map( mapElement, mapOpts );

{/literal}{if isset($coordinates)}
	var marker = new google.maps.Marker( {ldelim}
		position: map.getCenter(),
		map: map
		});
{/if}{literal}
}

function blowupUrl(theUrl)
{
	jQuery.fx.off = true;
	jQuery.nyroModalManual( {
		url: theUrl,
		forceType: 'iframe',
		width: 1920
	});
	return false;
}

jQuery(document).ready( onLoad );
//]]>
{/literal}</script>